Subject: Request for charter change

From: Mehmet Ersue <[email-masked]>
Date: Thu, 24 Jan 2008 13:18:47 +0000 (GMT)

Dear ADs (and WG),

As new WG chairs, we have carefully studied the current WG charter
   http://www.ietf.org/html.charters/netconf-charter.html

Although the date on the charter page states that it was last updated
on 2008-01-09, that update was only to list us as new WG chairs and 
our new Security Advisor. The base text is from a while ago, and
in the meanwhile, some documents have completed, and some of the
text that has past tense or (future tense) is now better read as
being the present. We also adopted a set of WG documents which
were based on earlier individual I-Ds, and so we have completed
posting of revision 00 documents for our chartered WG work items.

We have clarified the text, cleaned it up a bit and we have marked 
a few items as DONE. We made no substantial change (of course, 
because that would require WG consensus forming first).

ADs, can you please approve that this cleanup charter text be posted 
as our current WG charter page. Will you forward it to iesg-secretary, 
or do we need to do so seperately (assuming you will approve)?

Bert and Mehmet

Attached is the new charter and a rfcdiff of old and new charter.
And here is the main body of the cleaned-up charter text:

Configuration of networks of devices has become a critical requirement 
for operators in today's highly interoperable networks. Operators from 
large to small have developed their own mechanisms or used vendor 
specific mechanisms to transfer configuration data to and from a 
device, and for examining device state information which may impact 
the configuration. Each of these mechanisms may be different in 
various aspects, such as session establishment, user authentication, 
configuration data exchange, and error responses. 

The NETCONF Working Group is chartered to produce a protocol suitable 
for network configuration, with the following characteristics: 

- Provides retrieval mechanisms which can differentiate between
  configuration data and non-configuration data 
- Is extensible enough so that vendors will provide access to all
  configuration data on the device using a single protocol 
- Has a programmatic interface (avoids screen scraping and
  formatting-related changes between releases) 
- Uses a textual data representation, that can be easily manipulated
  using non-specialized text manipulation tools. 
- Supports integration with existing user authentication methods 
- Supports integration with existing configuration database systems 
- Supports network wide configuration transactions (with features such
  as locking and rollback capability) 
- Is as transport-independent as possible 
- Provides support for asynchronous notifications. 

The NETCONF protocol is using XML for data encoding purposes, because 
XML is a widely deployed standard which is supported by a large number 
of applications. 

The NETCONF protocol should be independent of the data definition 
language and data models used to describe configuration and state 
data. 

However, the authorization model used in the protocol is dependent on 
the data model. Although these issues must be fully addressed to 
develop standard data models, only a small part of this work will be 
initially addressed. This group will specify requirements for standard 
data models in order to fully support the NETCONF protocol, such as: 

- identification of principals, such as user names or distinguished names 
- mechanism to distinguish configuration from non-configuration data 
- XML namespace conventions 
- XML usage guidelines 

The initial work started in 2003 and has already been completed and was 
restricted to following items: 

  a) NETCONF Protocol Specification, which defines the operational model,
     protocol operations, transaction model, data model requirements,
     security requirements, and transport layer requirements. 
  b) NETCONF over SSH Specification: Implementation Mandatory, 
  c) NETCONF over BEEP Specification: Implementation Optional,
  d) NETCONF over SOAP Specification: Implementation Optional.

  These documents define how the NETCONF protocol is used with each 
  transport protocol selected by the working group, and how it meets 
  the security and transport layer requirements of the NETCONF Protocol 
  Specification. 

  e) NETCONF Notification Specification, which defines mechanisms that
     provide an asynchronous message notification delivery service for
     the NETCONF protocol.  NETCONF Notification is an optional
     capability built on top of the base NETCONF definition and
     provides the capabilities and operations necessary to support
     this service.

In the current phase of the incremental development of NETCONF the 
workgroup will focus on following items: 

1. Fine-grain locking: The base NETCONF protocol only provides a lock
   for the entire configuration datastore, which is not deemed to meet
   important operational and security requirements. The NETCONF working
   group will produce a standards-track RFC specifying a mechanism for
   fine-grain locking of the NETCONF configuration datastore. 

2. NETCONF monitoring: It is considered best practice for IETF working
   groups to include management of their protocols within the scope of
   the solution they are providing. The NETCONF working group will
   produce a standards-track RFC with mechanisms allowing NETCONF
   itself to be used to monitor some aspects of NETCONF operation. 

3. Schema advertisement: Currently the NETCONF protocol is able to
   advertise which protocol features are supported on a particular
   netconf-capable device. However, there is currently no way to discover
   which XML Schema are supported on the device. The NETCONF working
   group will produce a standards-track RFC with mechanisms making this
   discovery possible (this item may be merged with "NETCONF monitoring"
   into a single document). 

4. NETCONF over TLS: Based on implementation experience there is a
   need for a standards track document to define NETCONF over TLS as an
   optional transport for the NETCONF protocol.

The following items have been identified as important but are currently
not considered in scope for re-chartering and may be candidates for work
when there is community consensus to take them on: 

- General improvements to the base protocol 
- Access Control requirements 
- NETCONF access to SMI-based MIB data

Goals and Milestones:
Done      Working Group formed 
Done      Submit initial Netconf Protocol draft 
Done      Submit initial Netconf over (transport-TBD) draft 
Done      Begin Working Group Last Call for the Netconf Protocol draft 
Done      Begin Working Group Last Call for the Netconf over (transport-TBD)
          draft 
Done      Submit final version of the Netconf Protocol draft to the IESG 
Done      Submit final version of the Netconf over SOAP draft to the IESG 
Done      Submit final version of the Netconf over BEEP draft to the IESG 
Done      Submit final version of the Netconf over SSH draft to the IESG 
Done      Update charter 
Done      Submit first version of NETCONF Notifications document 
Done      Begin WGLC of NETCONF Notifications document 
Done      Submit final version of NETCONF Notifications document to IESG
          for consideration as Proposed Standard 
Done      -00 draft for fine Grain Locking 
Done      -00 draft for NETCONF over TLS 
Done      -00 draft for NETCONF Monitoring 
Feb 2008  -00 draft for Schema Advertisement 
Mar 2008  Early Review of client authentication approach (for NETCONF over
          TLS) with the security community at IETF 71 
Aug 2008  WG Last Call on NETCONF Monitoring after IETF72 
Aug 2008  WG Last Call on Schema Advertisement after IETF72 
Aug 2008  WG Last Call on Fine Grain Locking after IETF72 
Aug 2008  WG Last Call on NETCONF over TLS after IETF72 
Aug 2008  Send four documents to the IESG for consideration as proposed
          standards

       __________________________________ Ihr erstes Fernweh? Wo gibt es den schönsten Strand? www.yahoo.de/clever

---

From: "Romascanu, Dan (Dan)" <[email-masked]>
Date: Thu, 24 Jan 2008 14:23:24 +0100

This looks fine to me. Unless I hear any comments and requests to change from the list I will forward to the secretariat by Monday. Please send me a reminder if you do not see such a message until then. 
 
Dan

________________________________

	From: Mehmet Ersue [mailto:[email-masked]] 
	Sent: Thursday, January 24, 2008 3:19 PM
	To: Romascanu, Dan (Dan); [email-masked]
	Cc: [email-masked]
	Subject: Request for charter change

	Dear ADs (and WG),

	

	Bert and Mehmet

	

	

	

	

	

	

	Goals and Milestones:

________________________________

	Jetzt Mails schnell in einem Vorschaufenster überfliegen. Dies und viel mehr bietet das neue Yahoo! Mail <http://de.rd.yahoo.com/evt=40590/*http://de.docs.yahoo.com/ymail/landing.html> .

---

From: "David B Harrington" <[email-masked]>
Date: Thu, 24 Jan 2008 09:29:48 -0500

Hi,
 
I have reviewed the charter changes and they look good to me.
Thank you.
 
dbh

  _____  

From: [email-masked] [mailto:[email-masked]]
On Behalf Of Mehmet Ersue
Sent: Thursday, January 24, 2008 8:19 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]
Subject: Request for charter change

Dear ADs (and WG),

Bert and Mehmet

of applications. 

- identification of principals, such as user names or distinguished
names 
- mechanism to distinguish configuration from non-configuration data 
- XML namespace conventions 
- XML usage guidelines 

The initial work started in 2003 and has already been completed and
was 
restricted to following items: 

  a) NETCONF Protocol Specification, which defines the operational
model,

  These documents define how the NETCONF protocol is used with each 
  transport protocol selected by the working group, and how it meets 
  the security and transport layer requirements of the NETCONF
Protocol 
  Specification. 

   important operational and security requirements. The NETCONF
working

3. Schema advertisement: Currently the NETCONF protocol is able to
   advertise which protocol features are supported on a particular
   netconf-capable device. However, there is currently no way to
discover
   which XML Schema are supported on the device. The NETCONF working
   group will produce a standards-track RFC with mechanisms making
this
   discovery possible (this item may be merged with "NETCONF
monitoring"
   into a single document). 

4. NETCONF over TLS: Based on implementation experience there is a
   need for a standards track document to define NETCONF over TLS as
an
   optional transport for the NETCONF protocol.

The following items have been identified as important but are
currently
not considered in scope for re-chartering and may be candidates for
work
when there is community consensus to take them on: 

Goals and Milestones:

Done      Begin Working Group Last Call for the Netconf over
(transport-TBD)
          draft 
Done      Submit final version of the Netconf Protocol draft to the
IESG 
Done      Submit final version of the Netconf over SOAP draft to the
IESG 
Done      Submit final version of the Netconf over BEEP draft to the
IESG 
Done      Submit final version of the Netconf over SSH draft to the
IESG 
Done      Update charter 
Done      Submit first version of NETCONF Notifications document 
Done      Begin WGLC of NETCONF Notifications document 
Done      Submit final version of NETCONF Notifications document to
IESG
          for consideration as Proposed Standard 
Done      -00 draft for fine Grain Locking 
Done      -00 draft for NETCONF over TLS 
Done      -00 draft for NETCONF Monitoring 
Feb 2008  -00 draft for Schema Advertisement 
Mar 2008  Early Review of client authentication approach (for NETCONF
over
          TLS) with the security community at IETF 71 
Aug 2008  WG Last Call on NETCONF Monitoring after IETF72 
Aug 2008  WG Last Call on Schema Advertisement after IETF72 
Aug 2008  WG Last Call on Fine Grain Locking after IETF72 
Aug 2008  WG Last Call on NETCONF over TLS after IETF72 
Aug 2008  Send four documents to the IESG for consideration as
proposed
          standards

  _____  

Jetzt Mails schnell in einem Vorschaufenster überfliegen. Dies und
viel mehr bietet das neue Yahoo! Mail
<http://de.rd.yahoo.com/evt=40590/*http://de.docs.yahoo.com/ymail/land
ing.html> .

---

From: Balazs Lengyel <[email-masked]>
Date: Fri, 25 Jan 2008 16:19:45 +0100

I agree with all changes, they are good.
However I think the charter is too long. I don't know if some of the introductory staff is 
still needed? I would try to shorten the charter in a second go.

IMHO sooner or later updates to the base Netconf draft will also be needed.

Balazs

Mehmet Ersue wrote:
> ------------------------------------------------------------------------
> Jetzt Mails schnell in einem Vorschaufenster überfliegen. Dies und viel 
> mehr bietet das neue Yahoo! Mail 
> <http://de.rd.yahoo.com/evt=40590/*http://de.docs.yahoo.com/ymail/landing.html>. 
> 
> ------------------------------------------------------------------------
> 
> 	 WGCharter-20080109.txt 		 WGCharter-20080124.txt 	
> 	Network Configuration (netconf) Charter		Network Configuration 
> (netconf) Charter	
> 				
> 	Network Configuration (netconf)		Network Configuration (netconf)	
> 				
> 	In addition to this official charter maintained by the IETF 
> Secretariat, there		In addition to this official charter maintained by 
> the IETF Secretariat, there	
> 	is additional information about this working group on the Web at:		is 
> additional information about this working group on the Web at:	
> 				
> 	Additional NETCONF Web Page		Additional NETCONF Web Page	
> 				
> 	Last Modified: 2008-01-09		Last Modified: 2008-01-24	
> 	Additional information is available at tools.ietf.org/wg/netconf	 
> Additional information is available at tools.ietf.org/wg/netconf	
> 				
> 	Chair(s):		Chair(s):	
> 	Bert Wijnen <[email-masked]>		Bert Wijnen <[email-masked]>	
> 				
> 	Mehmet Ersue <[email-masked]>		Mehmet Ersue <[email-masked]>	
> 				
> 	Operations and Management Area Director(s):		Operations and Management 
> Area Director(s):	
> 	Dan Romascanu <[email-masked]>		Dan Romascanu <[email-masked]>	
> 				
> 				
> 	skipping to change at/ line 52/		skipping to change at/ line 52/	
> 	the configuration. Each of these mechanisms may be different in		the 
> configuration. Each of these mechanisms may be different in	
> 	configuration data exchange, and error responses.		configuration data 
> exchange, and error responses.	
> 				
> 	for network configuration, with the following characteristics:		for 
> network configuration, with the following characteristics:	
> 				
> 	- Provides retrieval mechanisms which can differentiate between		- 
> Provides retrieval mechanisms which can differentiate between	
> 	configuration data and non-configuration data		configuration data and 
> non-configuration data	
> 	- Is extensible enough that vendors will provide access to all		- Is 
> extensible enough so that vendors will provide access to all	
> 	configuration data on the device using a single protocol		configuration 
> data on the device using a single protocol	
> 	- Has a programmatic interface (avoids screen scraping and		- Has a 
> programmatic interface (avoids screen scraping and	
> 	formatting-related changes between releases)		formatting-related 
> changes between releases)	
> 	- Uses a textual data representation, that can be easily manipulated		- 
> Uses a textual data representation, that can be easily manipulated	
> 	using non-specialized text manipulation tools.		using non-specialized 
> text manipulation tools.	
> 	- Supports integration with existing user authentication methods		- 
> Supports integration with existing user authentication methods	
> 	- Supports integration with existing configuration database systems		- 
> Supports integration with existing configuration database systems	
> 	- Supports network wide configuration transactions (with features 
> such		- Supports network wide configuration transactions (with 
> features such	
> 	as locking and rollback capability)		as locking and rollback capability)	
> 	- Is as transport-independent as possible		- Is as 
> transport-independent as possible	
> 	- Provides the following support for asynchronous notifications:		- 
> Provides support for asynchronous notifications	
> 	- Specify the <hello> message (capability exchange) details to support			
> 	notifications.			
> 	- Specify the application mapping details to support notifications.			
> 	- Specify the protocol syntax and semantics of a notification message.			
> 	- Specify or select a notification content information model.			
> 	- Specify a mechanism for controlling the delivery (turn on/off) of			
> 	notifications during a session.			
> 	- Specify a mechanism for selectively receiving a configurable subset			
> 	of all possible notification types.			
> 				
> 	The NETCONF protocol will use XML for data encoding purposes, because	 
> 	XML is a widely deployed standard which is supported by a large 
> number		XML is a widely deployed standard which is supported by a large 
> number	
> 	of applications. XML also supports hierarchical data structures.		of 
> applications.	
> 				
> 	The NETCONF protocol should be independent of the data definition		The 
> NETCONF protocol should be independent of the data definition	
> 	data.		data.	
> 	the data model. Although these issues must be fully addressed to		the 
> data model. Although these issues must be fully addressed to	
> 	initially addressed. This group will specify requirements for 
> standard		initially addressed. This group will specify requirements for 
> standard	
> 	- identification of principals, such as user names or distinguished		- 
> identification of principals, such as user names or distinguished names	
> 	names			
> 	- mechanism to distinguish configuration from non-configuration data		- 
> mechanism to distinguish configuration from non-configuration data	
> 	identification of principals, such as user names or distinguished names			
> 	- XML namespace conventions		- XML namespace conventions	
> 	- XML usage guidelines		- XML usage guidelines	
> 				
> 	It should be possible to transport the NETCONF protocol using several	 
> 	different protocols. The group will select at least one suitable	 
> 	transport mechanism, and define a mapping for the selected protocol			
> 	(s).			
> 				
> 	The initial work (has completed) and was restricted to the following			
> 	items:			
> 				
> 	- NETCONF Protocol Specification, which defines the operational 
> model,		a) NETCONF Protocol Specification, which defines the operational 
> model,	
> 	security requirements, and transport layer requirements.		security 
> requirements, and transport layer requirements.	
> 	- NETCONF over SSH Specification: Implementation Mandatory; NETCONF	 
> 	over BEEP Specification: Implementation Optional; NETCONF over SOAP	 
> 	Specification: Implementation Optional; These documents define how 
> the		the security and transport layer requirements of the NETCONF Protocol	
> 	NETCONF protocol is used with each transport protocol selected by the	 
> Specification.	
> 	working group, and how it meets the security and transport layer			
> 	requirements of the NETCONF Protocol Specification.			
> 				
> 	Additional Notification work (as described above) will now be			
> 	addressed since the initial work has been completed.			
> 				
> 	An individual submission Internet Draft has been proposed to the WG 
> as		e) NETCONF Notification Specification, which defines mechanisms that	
> 	the starting point for the Notification work. The WG shall adopt the	 
> 	document identified as 'draft-chisholm-NETCONF-event-01.txt' as the	 
> 	starting point for this work.		capability built on top of the base 
> NETCONF definition and	
> 	A second phase of incremental development of NETCONF will include the	 
> 	following items:		workgroup will focus on following items:	
> 				
> 	fine-grain locking of the NETCONF configuration datastore.		fine-grain 
> locking of the NETCONF configuration datastore.	
> 				
> 	(The initial draft will be based on			
> 	draft-lengyel-ngo-partial-lock-00.txt barring additional contributions			
> 	from the community.)			
> 				
> 	2. NETCONF monitoring: It is considered best practice for IETF 
> working		2. NETCONF monitoring: It is considered best practice for IETF 
> working	
> 	the solution they are providing. NETCONF does not provide this		the 
> solution they are providing. The NETCONF working group will	
> 	capability. The NETCONF working group will produce a standards-track	 
> 	RFC with mechanisms allowing NETCONF itself to be used to monitor 
> some		itself to be used to monitor some aspects of NETCONF operation.	
> 	aspects of NETCONF operation.			
> 				
> 	(The initial draft will be based on			
> 	draft-chisholm-netconf-monitoring-00.txt barring additional			
> 	contributions from the community.)			
> 				
> 	3. Schema advertisement: Currently the NETCONF protocol is able to		3. 
> Schema advertisement: Currently the NETCONF protocol is able to	
> discover		netconf-capable device. However, there is currently no way to 
> discover	
> 	discovery possible.		discovery possible (this item may be merged with 
> "NETCONF monitoring"	
> 			into a single document).	
> 	This item may be merged with "NETCONF monitoring" into a single			
> 	document.			
> 				
> 	(The initial draft will be based on			
> 	draft-scott-netconf-schema-query-00.txt barring additional			
> 	contributions from the community.)			
> 				
> 	4. NETCONF over TLS - based on implementation experience there is a		4. 
> NETCONF over TLS: Based on implementation experience there is a	
> 	optional transport for NETCONF		optional transport for the NETCONF 
> protocol.	
> 				
> 	(The initial draft will be based on			
> 	draft-badra-tls-netconf-04.txt barring additional contributions from			
> 	the community.)			
> 				
> 	The following are currently not considered in scope for re-chartering	 
> 	at this time, but may be candidates for work when there is community	 
> 	consensus to take them on. Individual submissions are being		when there 
> is community consensus to take them on:	
> 	encouraged.			
> 				
> 	o Access Control requirements		- General improvements to the base protocol	
> 	o General improvements to the base protocol o NETCONF access to		- 
> Access Control requirements	
> 	SMI-based MIB data o The Bill Fenner problem: Address real or		- 
> NETCONF access to SMI-based MIB data	
> 	perceived issue that "giving SSH for NETCONF gives full SSH access to			
> 	the box"			
> 				
> 	Goals and Milestones:		Goals and Milestones:	
> 	Done Working Group formed		Done Working Group formed	
> 	Done Submit initial Netconf Protocol draft		Done Submit initial Netconf 
> Protocol draft	
> 	Done Submit initial Netconf over (transport-TBD) draft		Done Submit 
> initial Netconf over (transport-TBD) draft	
> 	Done Begin Working Group Last Call for the Netconf Protocol draft		Done 
> Begin Working Group Last Call for the Netconf Protocol draft	
> (transport-TBD)		Done Begin Working Group Last Call for the Netconf over 
> (transport-TBD)	
> 	draft		draft	
> 	Done Update charter		Done Update charter	
> 	Done Submit first version of NETCONF Notifications document		Done 
> Submit first version of NETCONF Notifications document	
> 	Done Begin WGLC of NETCONF Notifications document		Done Begin WGLC of 
> NETCONF Notifications document	
> 	Dec 2006 Submit final version of NETCONF Notifications document to 
> IESG		Done Submit final version of NETCONF Notifications document to IESG	
> 	for consideration as Proposed Standard		for consideration as Proposed 
> Standard	
> 	Dec 2007 -00 draft for NETCONF Monitoring		Done -00 draft for fine 
> Grain Locking	
> 	Dec 2007 -00 draft for Schema Advertisement		Done -00 draft for NETCONF 
> over TLS	
> 	Dec 2007 -00 draft for Fine Grain Locking		Done -00 draft for NETCONF 
> Monitoring	
> 	Dec 2007 -00 draft for NETCONF over TLS		Feb 2008 -00 draft for Schema 
> Advertisement	
> 	Mar 2008 Early Review of client authentication approach (for 
> NETCONF over		Mar 2008 Early Review of client authentication approach 
> (for NETCONF over	
> 	TLS) with the security community at IETF 71		TLS) with the security 
> community at IETF 71	
> 	Aug 2008 WG Last Call on NETCONF Monitoring after IETF72		Aug 2008 WG 
> Last Call on NETCONF Monitoring after IETF72	
> 	Aug 2008 WG Last Call on Schema Advertisement after IETF72		Aug 2008 WG 
> Last Call on Schema Advertisement after IETF72	
> 	Aug 2008 WG Last Call on Fine Grain Locking after IETF72		Aug 2008 WG 
> Last Call on Fine Grain Locking after IETF72	
> 	Aug 2008 WG Last Call on NETCONF over TLS after IETF72		Aug 2008 WG 
> Last Call on NETCONF over TLS after IETF72	
> proposed		Aug 2008 Send four documents to the IESG for consideration as 
> proposed	
> 	standards		standards	
> 				
> 	Internet-Drafts:		Internet-Drafts:	
> 				
>  End of changes. 23 change blocks. 
> 	/80 lines changed or deleted/	/ /	/42 lines changed or added/	
> 
> This html diff was produced by rfcdiff 1.34. The latest version is 
> available from http://tools.ietf.org/tools/rfcdiff/ 
> <http://www.tools.ietf.org/tools/rfcdiff/>
> 

-- 
Balazs Lengyel                       Ericsson Hungary Ltd.
TSP System Manager
ECN: 831 7320                        Fax: +36 1 4377792
Tel: +36-1-437-7320     email: [email-masked]

--
to unsubscribe send a message to [email-masked] with
the word 'unsubscribe' in a single line as the message text body.
archive: <http://ops.ietf.org/lists/netconf/>